#Old Mage Boss
#execute as @a[scores={boss.battle_tick=..300}] at @s run scoreboard players remove @s boss.battle_tick 1
execute as @a[scores={boss.storage1=308..}] at @s run scoreboard players set @s boss.storage1 0
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!scened] at @s run scoreboard players set @a boss.battle_tick 0
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!scened] at @s run tag @s add scened

#Structural Construction
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s run tp @e[tag=oldmage_head,limit=1,sort=nearest] ~ ~ ~ facing entity @p[gamemode=!spectator]
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s run tp @e[tag=oldmage_feet,limit=1,sort=nearest] ~ ~ ~ 
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s run tp @e[tag=oldmage_name,limit=1,sort=nearest] ~ ~2 ~
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s run tp @e[tag=oldmage_entity,limit=1,sort=nearest] ~ ~ ~
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s run tp @s ~ ~ ~
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s run tp @e[tag=align_cd_oldmage,limit=1,sort=nearest] @s

#Align every second
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s unless entity @e[tag=align_cd_oldmage,distance=..3] run tp @e[tag=oldmage_feet,limit=1,sort=nearest] ~ ~ ~ facing entity @p[gamemode=!spectator]
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s unless entity @e[tag=align_cd_oldmage,distance=..3] run tp @e[tag=oldmage_name,limit=1,sort=nearest] ~ ~2 ~ facing entity @p[gamemode=!spectator]
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s unless entity @e[tag=align_cd_oldmage,distance=..3] run tp @s ~ ~ ~ facing entity @p[gamemode=!spectator]
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s unless entity @e[tag=align_cd_oldmage,distance=..3] run summon area_effect_cloud ~ ~1 ~ {Duration:20,Tags:["align_cd_oldmage"]}

#Summon if no oldmage part yet
execute as @e[tag=oldmage_entity,tag=!arcane_remnant_proj] at @s unless entity @e[tag=oldmage_body,distance=..10] run summon armor_stand ~ ~ ~ {Tags:["oldmage_body","oldmage_part"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Invisible:0b,Marker:1b,ArmorItems:[{id:"golden_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"netherite_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"leather_chestplate",Count:1b,tag:{display:{color:0}}},{}],HandItems:[{id:"trident",Count:1b,tag:{Enchantments:[{}]}},{}],Pose:{Head:[180f,0f,10f]}}
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s unless entity @e[tag=oldmage_head,distance=..10] run summon armor_stand ~ ~ ~ {Tags:["oldmage_head","oldmage_part"],Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Marker:1b,ArmorItems:[{},{},{},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:[I;1742301084,235756772,-1669091157,-1193803934],Properties:{textures:[{Value:"e3RleHR1cmVzOntTS0lOOnt1cmw6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYjc2NzI5NzJjZjJiNjg1OTM0YmQxMDJkMzczM2Y0NDQyYjU1NDJlNDEyMTgzMjY2MTQ1MjVmOTJlNjE1NyJ9fX0="}]}},display:{Lore:[]}}}],HandItems:[{},{}]}
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s unless entity @e[tag=oldmage_feet,distance=..10] run summon armor_stand ~ ~ ~ {Tags:["oldmage_feet","oldmage_part"],Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Marker:1b,Invisible:1b,ArmorItems:[{id:"golden_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"netherite_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"leather_chestplate",Count:1b,tag:{display:{color:0}}},{}],HandItems:[{},{}],Pose:{LeftLeg:[360f,0f,350f],RightLeg:[0f,0f,10f]}}
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s unless entity @e[tag=oldmage_name,distance=..10] run summon armor_stand ~ ~ ~ {CustomNameVisible:1b,Tags:["oldmage_name","oldmage_part"],CustomName:'[{"text":"???","bold":true,"color":"red"}]',Small:1b,Invulnerable:1b,Invisible:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Marker:1b}
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s unless entity @e[tag=oldmage_battle_center] run summon area_effect_cloud ~ ~1 ~ {Duration:2147483647,Tags:["oldmage_battle_center","oldmage_part"]}

execute as @e[tag=oldmage_feet] at @s unless entity @e[tag=oldmage_body,distance=..10] run kill @s
execute as @e[tag=oldmage_head] at @s unless entity @e[tag=oldmage_body,distance=..10] run kill @s
execute as @e[tag=oldmage_name] at @s unless entity @e[tag=oldmage_body,distance=..10] run kill @s
execute as @e[tag=oldmage_battle_center] at @s unless entity @e[tag=oldmage_body,distance=..10] run kill @s

#perma effects
effect give @e[tag=oldmage_entity] invisibility 999999 0 true
effect give @e[tag=oldmage_entity] fire_resistance 999999 0 true
execute as @e[tag=oldmage_head] at @s anchored eyes run particle dust_color_transition 0.8 0.8 0.8 1 0 1 1 ^0.1 ^1.6 ^0.4 0 0 0 0.1 1 force

#Dashing Animation
execute as @e[tag=oldmage_body] at @s if entity @p[scores={boss.battle_tick=..210,boss.storage1=..10},gamemode=!spectator] unless entity @e[tag=oldmage_dash_anim,distance=..3] run summon armor_stand ^ ^ ^-1 {Tags:["oldmage_dash_anim"],Pose:{Head:[15f,0f,0f],RightArm:[10f,46f,20f],LeftArm:[360f,0f,341f],LeftLeg:[360f,0f,350f],RightLeg:[0f,0f,10f]},Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Marker:1b,ArmorItems:[{id:"leather_boots",Count:1b,tag:{Enchantments:[{}],display:{color:4785234}}},{id:"leather_leggings",Count:1b,tag:{Enchantments:[{}],display:{color:4785234}}},{id:"leather_chestplate",Count:1b,tag:{Enchantments:[{}],display:{color:4785234}}},{}],HandItems:[{},{}]}
execute as @e[tag=oldmage_body] at @s if entity @p[scores={boss.battle_tick=..210,boss.storage1=..10},gamemode=!spectator] unless entity @e[tag=oldmage_dash_anim_cd] run summon area_effect_cloud ~ ~ ~ {Duration:20,Tags:["oldmage_dash_anim_cd"]}
execute as @e[tag=oldmage_dash_anim] at @s run particle dust_color_transition 0 0 0 2 0.5 0 0.6 ~ ~1 ~ 0.3 0.5 0.3 1 5 force
execute as @e[tag=oldmage_dash_anim] at @s run tp @s ^ ^ ^0.3 facing entity @e[tag=oldmage_head,limit=1,sort=nearest] feet
execute as @e[tag=oldmage_body] at @s unless entity @e[tag=oldmage_dash_anim_cd] run kill @e[tag=oldmage_dash_anim]
execute as @e[tag=oldmage_dash_anim] at @s run playsound entity.zombie_villager.converted hostile @a[distance=..10] ~ ~ ~ 0.2 2 0
execute as @e[tag=oldmage_dash_anim] at @s unless entity @p[distance=..50] run kill @s

#Attack-locking feature
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s if entity @p[scores={boss.storage1=..10},distance=..3,gamemode=!spectator] run scoreboard players add @p[scores={boss.storage1=..10}] boss.storage1 1
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s if entity @p[scores={boss.storage1=11..},gamemode=!spectator] run scoreboard players add @p[scores={boss.storage1=11..}] boss.storage1 1
execute if entity @p[scores={boss.battle_tick=..210,boss.storage1=..10},gamemode=!spectator] as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s run tp @s ^ ^ ^1.3 facing entity @p[distance=3..]
execute if entity @p[scores={boss.battle_tick=..210,boss.storage1=..10},gamemode=!spectator] as @e[tag=arcane_remnant_proj] at @s run tp @s ^ ^ ^0.5 facing entity @p[distance=3..]

#Attack Animation
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=10}] run data modify entity @s Pose{} merge value {RightArm:[10f,46f,20f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=11}] run data modify entity @s Pose{} merge value {RightArm:[350f,36f,30f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=12}] run data modify entity @s Pose{} merge value {RightArm:[330f,26f,40f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=13}] run data modify entity @s Pose{} merge value {RightArm:[310f,16f,50f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=14}] run data modify entity @s Pose{} merge value {RightArm:[290f,8f,65f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=15}] run data modify entity @s Pose{} merge value {RightArm:[280f,0f,74f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=21}] run data modify entity @s Pose{} merge value {RightArm:[0f,0f,63f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=15}] run summon area_effect_cloud ^ ^1 ^1 {Duration:10,Tags:["oldmage_atk_hitbox"]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=15}] run particle sweep_attack ^ ^1 ^1 0.2 0.2 0.2 1 2 force

execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=24}] run data modify entity @s Pose{} merge value {RightArm:[330f,5f,53f],LeftArm:[350f,10f,355f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=26}] run data modify entity @s Pose{} merge value {RightArm:[300f,10f,43f],LeftArm:[340f,20f,350f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=28}] run data modify entity @s Pose{} merge value {RightArm:[2700f,15f,33f],LeftArm:[320f,25f,350f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=30}] run data modify entity @s Pose{} merge value {RightArm:[240f,20f,23f],LeftArm:[300f,25f,355f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=32}] run data modify entity @s Pose{} merge value {RightArm:[210f,30f,13f],LeftArm:[280f,25f,355f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=34}] run data modify entity @s Pose{} merge value {RightArm:[201f,35f,0f],LeftArm:[276f,35f,0f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=40}] run data modify entity @s Pose{} merge value {RightArm:[336f,0f,0f],LeftArm:[0f,0f,310f]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=35}] run summon area_effect_cloud ^ ^1 ^1 {Duration:10,Tags:["oldmage_atk_hitbox"]}
execute as @e[tag=oldmage_body,tag=!skill] at @s if entity @p[tag=host,scores={boss.storage1=35}] run particle sweep_attack ^ ^1 ^1 0.2 0.2 0.2 1 2 force

#Reset Pose between attacks
execute as @e[tag=oldmage_body] at @s if entity @p[tag=host,scores={boss.battle_tick=..210,boss.storage1=60..200}] run data modify entity @e[tag=oldmage_head,limit=1,sort=nearest] Pose{} merge value {Head:[15f,0f,0f]}
execute as @e[tag=oldmage_body] at @s if entity @p[tag=host,scores={boss.battle_tick=..210,boss.storage1=60..200}] run data modify entity @e[tag=oldmage_body,limit=1,sort=nearest] Pose{} merge value {Head:[15f,0f,0f],RightArm:[10f,46f,20f],LeftArm:[360f,0f,341f],LeftLeg:[360f,0f,350f],RightLeg:[0f,0f,10f]}
execute as @e[tag=oldmage_body] at @s if entity @p[tag=host,scores={boss.battle_tick=..210,boss.storage1=60..200}] run data modify entity @e[tag=oldmage_feet,limit=1,sort=nearest] Pose{} merge value {LeftLeg:[360f,0f,350f],RightLeg:[0f,0f,10f]}
execute as @e[tag=oldmage_body] at @s if entity @p[tag=host,scores={boss.battle_tick=..210,boss.storage1=60..200}] run data modify entity @e[tag=oldmage_body,tag=!arcane_remnant_proj,limit=1,sort=nearest] Pose{} set value {Head:[180f,0f,0f],RightArm:[10f,46f,20f],LeftArm:[360f,0f,341f],LeftLeg:[360f,0f,350f],RightLeg:[0f,0f,10f]}

#attack effects
execute as @e[tag=oldmage_atk_hitbox] at @s run effect give @e[tag=ally,distance=..3] instant_damage 1 1 true

#Choosing Attack
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!skill] at @s if entity @a[tag=host,scores={boss.battle_tick=207..209}] unless entity @e[tag=choose-path,distance=..50] run summon area_effect_cloud ~ ~ ~ {Duration:20,Tags:["choose-path","choose-atk"]}
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!skill] at @s if entity @a[tag=host,scores={boss.battle_tick=207..209}] unless entity @e[tag=choose-orbs,distance=..50] run summon area_effect_cloud ~ ~ ~ {Duration:20,Tags:["choose-orbs","choose-atk"]}
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!skill] at @s if entity @a[tag=host,scores={boss.battle_tick=210}] run kill @e[tag=choose-atk,sort=random,limit=1]
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!skill] at @s if entity @a[tag=host,scores={boss.battle_tick=211..212}] if entity @e[tag=choose-path,distance=..50] run tag @e[tag=oldmage_body] add mirage_path
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!skill] at @s if entity @a[tag=host,scores={boss.battle_tick=211..212}] if entity @e[tag=choose-orbs,distance=..50] run tag @e[tag=oldmage_body] add mirage_orbs
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!skill] at @s if entity @a[tag=host,scores={boss.battle_tick=211..212}] run tag @e[tag=oldmage_body] add skill

#Mirage Path
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=214}] run data modify entity @s Pose{} set value {RightArm:[330f,5f,53f],LeftArm:[350f,10f,355f]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=217}] run data modify entity @s Pose{} set value {RightArm:[300f,10f,43f],LeftArm:[340f,20f,350f]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=220}] run data modify entity @s Pose{} set value {RightArm:[2700f,15f,33f],LeftArm:[320f,25f,350f]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=223}] run data modify entity @s Pose{} set value {RightArm:[240f,20f,23f],LeftArm:[300f,25f,355f]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=226}] run data modify entity @s Pose{} set value {RightArm:[210f,30f,13f],LeftArm:[280f,25f,355f]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=230}] run data modify entity @s Pose{} set value {RightArm:[201f,35f,0f],LeftArm:[276f,35f,0f]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=240}] run data modify entity @s Pose{} set value {RightArm:[336f,0f,0f],LeftArm:[0f,0f,310f]}
execute as @e[tag=oldmage_body,tag=mirage_path,tag=!arcane_remnant_proj] at @s if entity @p[tag=host,scores={boss.battle_tick=240..241}] run playsound block.portal.travel hostile @a[distance=..20] ~ ~ ~ 0.3 2 0.1
execute as @e[tag=oldmage_body,tag=mirage_path,tag=!arcane_remnant_proj] at @s if entity @p[tag=host,scores={boss.battle_tick=240..248}] run playsound item.trident.thunder hostile @a[distance=..30] ~ ~ ~ 1 2 0.1
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=240}] run summon area_effect_cloud ^ ^ ^1 {Duration:300,Tags:["mirage_path_proj"]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=242}] run summon area_effect_cloud ^ ^ ^3 {Duration:300,Tags:["mirage_path_proj"]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=243}] run summon area_effect_cloud ^ ^ ^5 {Duration:300,Tags:["mirage_path_proj"]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=244}] run summon area_effect_cloud ^ ^ ^7 {Duration:300,Tags:["mirage_path_proj"]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=245}] run summon area_effect_cloud ^ ^ ^9 {Duration:300,Tags:["mirage_path_proj"]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=246}] run summon area_effect_cloud ^ ^ ^11 {Duration:300,Tags:["mirage_path_proj"]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=247}] run summon area_effect_cloud ^ ^ ^13 {Duration:300,Tags:["mirage_path_proj"]}
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=248}] run summon area_effect_cloud ^ ^ ^15 {Duration:300,Tags:["mirage_path_proj"]}
#Mirage Path Effects and particles
execute at @e[tag=mirage_path_proj] run particle dust_color_transition 0.4 0 0.4 2 1 1 1 ~ ~ ~ 0.5 0.3 0.5 1 3 normal
execute at @e[tag=mirage_path_proj] run particle dust_color_transition 0 0 0.4 2 1 1 1 ~ ~ ~ 1 0.2 1 1 3 normal
execute at @e[tag=mirage_path_proj] run particle enchant ~ ~ ~ 1 0 1 1 1 normal
execute at @e[tag=oldmage_body,tag=mirage_path] run particle dust_color_transition 0.4 0 0.4 1 1 1 1 ~ ~1 ~ 0.5 0.5 0.5 1 3 normal
execute at @e[tag=oldmage_body,tag=mirage_path] run particle dust_color_transition 0 0 0.4 1 1 1 1 ~ ~1 ~ 1 0.5 1 1 3 normal
execute at @e[tag=oldmage_body,tag=mirage_path] run particle enchant ~ ~1 ~ 1 0.5 1 1 1 normal
execute at @e[tag=mirage_path_proj] run playsound entity.elder_guardian.ambient ambient @a[distance=..10] ~ ~ ~ 0.1 2 0.1
execute at @e[tag=mirage_path_proj] run effect give @e[tag=ally,distance=..2] instant_damage 1 0 true
execute at @e[tag=mirage_path_proj] run effect give @e[tag=ally,distance=..2] slowness 1 2 true

#Mirage Orbs
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=219}] run data modify entity @s Pose{} set value {RightArm:[10f,46f,20f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=221}] run data modify entity @s Pose{} set value {RightArm:[350f,36f,30f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=223}] run data modify entity @s Pose{} set value {RightArm:[330f,26f,40f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=225}] run data modify entity @s Pose{} set value {RightArm:[310f,16f,50f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=227}] run data modify entity @s Pose{} set value {RightArm:[290f,8f,65f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=229}] run data modify entity @s Pose{} set value {RightArm:[280f,0f,74f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=231}] run data modify entity @s Pose{} set value {RightArm:[0f,0f,63f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=mirage_orbs,tag=!arcane_remnant_proj] at @s if entity @p[tag=host,scores={boss.battle_tick=231}] run tellraw @a {"text":"Destroy The Mirage Orbs to prevent the boss from being Invulnerable and regenerating HP!","color":"yellow","bold":true} 
#Mirage Orbs Effects and Particles
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=231}] run execute at @a[limit=3,sort=nearest,distance=..50,gamemode=!spectator] run summon vindicator ~ ~1 ~ {CustomName:'[{"text":"Mirage Orb","bold":true,"color":"red"}]',DeathLootTable:"minecraft:empty",NoAI:1b,Silent:1b,PersistenceRequired:1b,Health:5,Tags:["mirage_orbs_proj"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:1,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:100f},{Name:"generic.movement_speed",Base:0f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.knockback_resistance",Base:100f},{Name:"generic.max_health",Base:5f}],HandItems:[{},{}]}
execute as @e[tag=mirage_orbs_proj] at @s unless entity @e[tag=mirage_orbs_Model,distance=..2] run summon armor_stand ~ ~ ~ {Tags:["mirage_orbs_Model"],Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,ArmorItems:[{},{},{},{id:"player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Orbs\"}"},SkullOwner:{Id:[I;-1383979159,2090813638,-1230474400,1138424480],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNmRiMzJiMTVkN2YzMjcwNGVkNjI2ZmE1MmQwNmZiMmI0MDcxZDMzNmZkYmZlNjFlNmU0MWM2NjlkNmUzN2Y0NyJ9fX0="}]}}}}],HandItems:[{},{}]}
execute as @e[tag=mirage_orbs_proj] at @s run tp @e[tag=mirage_orbs_Model,limit=1,sort=nearest] ~ ~0.5 ~
execute as @e[tag=mirage_orbs_Model] at @s run particle dust_color_transition 0.4 0 0.4 1 1 1 1 ~ ~1 ~ 0.3 0.3 0.3 1 5 normal
execute as @e[tag=mirage_orbs_Model] at @s run particle enchant ~ ~2 ~ 1 1 1 0 2 force
execute as @e[tag=mirage_orbs_Model] at @s unless entity @e[tag=mirage_orbs_proj,distance=..2] run kill @s
execute as @e[tag=mirage_orbs_proj] at @s run effect give @e[tag=oldmage_entity] resistance 2 4 true
execute as @e[tag=mirage_orbs_proj] at @s run effect give @e[tag=oldmage_entity,nbt=!{ActiveEffects:[{Id:10b}]}] regeneration 2 2 true
execute at @e[tag=oldmage_entity] if entity @e[tag=mirage_orbs_proj,distance=..50] run particle instant_effect ~ ~ ~ 0.3 0.3 0.3 1 5 force
execute as @e[tag=mirage_orbs_proj] at @s run effect give @e[tag=ally,distance=..3] instant_damage 1 0 true
execute as @e[tag=mirage_orbs_proj] at @s if entity @p[tag=host,scores={boss.battle_tick=232}] run playsound entity.evoker.cast_spell hostile @a[distance=..15] ~ ~ ~ 1 0 0

#Arcane Remnant
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=214}] run data modify entity @s Pose{} set value {LeftArm:[350f,10f,355f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=217}] run data modify entity @s Pose{} set value {LeftArm:[340f,20f,350f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=220}] run data modify entity @s Pose{} set value {LeftArm:[320f,25f,350f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=223}] run data modify entity @s Pose{} set value {LeftArm:[300f,25f,355f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=226}] run data modify entity @s Pose{} set value {LeftArm:[280f,25f,355f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=230}] run data modify entity @s Pose{} set value {LeftArm:[276f,35f,0f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=240}] run data modify entity @s Pose{} set value {RightArm:[336f,0f,0f],LeftArm:[0f,0f,310f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=245}] run data modify entity @s Pose{} set value {RightArm:[336f,0f,0f],LeftArm:[100f,0f,290f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=250}] run data modify entity @s Pose{} set value {RightArm:[336f,0f,0f],LeftArm:[274f,0f,270f]}
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=250..260}] run playsound item.trident.return hostile @a[distance=..20] ~ ~ ~ 1 0 0.1
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=250}] run playsound entity.elder_guardian.curse hostile @a[distance=..20] ~ ~ ~ 0.5 0 0.1
#Arcane Remnant effects and particles
execute as @e[tag=oldmage_body,tag=arcane_remnant,tag=!arcane_remnant_proj] at @s if entity @p[tag=host,scores={boss.battle_tick=240}] run summon armor_stand ^ ^ ^1 {Tags:["arcane_remnant_proj","oldmage_body"],Pose:{LeftLeg:[360f,0f,350f],RightLeg:[0f,0f,10f]},Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Marker:1b,ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:0}}},{id:"leather_leggings",Count:1b,tag:{display:{color:0}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:0}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:[I;-440085872,-128820703,-1712328357,-469073936],Properties:{textures:[{Value:"e3RleHR1cmVzOntTS0lOOnt1cmw6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvN2M5Y2E0Yjc4MmM5Mjc5ZWViOWY3NTE2NjE4YzA2YzkxNWJjODNlYjI0ODhmZThlOGFmZmRiNWU2MjhlMDliIn19fQ=="}]}},display:{Lore:[]}}}],HandItems:[{id:"trident",Count:1b},{}]}
execute as @e[tag=oldmage_body,tag=arcane_remnant,tag=!arcane_remnant_proj] at @s if entity @p[tag=host,scores={boss.battle_tick=250}] run tag @e[tag=arcane_remnant_proj] add launched
execute as @e[tag=arcane_remnant_proj] at @s run particle dust_color_transition 0.8 0.8 0.8 1 0 1 1 ~ ~1 ~ 0.4 0.5 0.4 1 10 force
execute as @e[tag=arcane_remnant_proj,tag=!launched] at @s run tp @s ~ ~ ~ facing entity @a[sort=furthest,gamemode=!spectator,limit=1]
execute as @e[tag=arcane_remnant_proj,tag=launched,tag=!active] at @s run tp @s ^ ^ ^1
execute as @e[tag=arcane_remnant_proj,tag=launched,tag=!active] at @s run effect give @e[tag=ally,distance=..3] instant_damage 1 2 true
execute as @e[tag=arcane_remnant_proj,tag=launched,tag=!active] at @s run effect give @e[tag=ally,distance=..3] slowness 3 255 true
execute as @e[tag=arcane_remnant_proj,tag=launched] at @s if entity @e[tag=oldmage_body,distance=15..] run tag @s add active

#Meteoric Shower - Opening Blast
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=214..224}] run tp @s ^ ^ ^1.5 facing entity @e[tag=oldmage_battle_center,limit=1,sort=nearest]
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=214..224}] unless entity @e[tag=oldmage_dash_anim,distance=..3] run summon armor_stand ^ ^ ^-2 {Tags:["oldmage_dash_anim"],Pose:{Head:[15f,0f,0f],RightArm:[10f,46f,20f],LeftArm:[360f,0f,341f],LeftLeg:[360f,0f,350f],RightLeg:[0f,0f,10f]},Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Marker:1b,ArmorItems:[{id:"leather_boots",Count:1b,tag:{Enchantments:[{}],display:{color:4785234}}},{id:"leather_leggings",Count:1b,tag:{Enchantments:[{}],display:{color:4785234}}},{id:"leather_chestplate",Count:1b,tag:{Enchantments:[{}],display:{color:4785234}}},{}],HandItems:[{},{}]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=214..224}] unless entity @e[tag=oldmage_dash_anim_cd] run summon area_effect_cloud ~ ~ ~ {Duration:20,Tags:["oldmage_dash_anim_cd"]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=224}] run data modify entity @s Pose{} set value {Head:[350f,0f,0f],RightArm:[10f,46f,20f],LeftArm:[360f,0f,341f],LeftLeg:[360f,0f,350f],RightLeg:[0f,0f,10f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=234}] run data modify entity @s Pose{} set value {Head:[355f,0f,0f],RightArm:[330f,0f,10f],LeftArm:[300f,2f,310f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=244}] run data modify entity @s Pose{} set value {Head:[0f,0f,0f],RightArm:[272f,331f,0f],LeftArm:[241f,4f,270f]}

execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=224..264}] run summon area_effect_cloud ~ ~ ~5 {Duration:20,Tags:["meteor_blast_anim"]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=224..264}] run summon area_effect_cloud ~ ~ ~-5 {Duration:20,Tags:["meteor_blast_anim"]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=224..264}] run summon area_effect_cloud ~5 ~ ~ {Duration:20,Tags:["meteor_blast_anim"]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=224..264}] run summon area_effect_cloud ~-5 ~ ~ {Duration:20,Tags:["meteor_blast_anim"]}
execute as @e[tag=meteor_blast_anim] at @s if entity @p[tag=host,scores={boss.battle_tick=224..264}] run tp @s ^2.7 ^ ^1 facing entity @e[tag=oldmage_head,sort=nearest,limit=1]
execute as @e[tag=meteor_blast_anim] at @s if entity @p[tag=host,scores={boss.battle_tick=224..264}] run playsound minecraft:entity.zombie_villager.converted player @a[distance=..8] ~ ~ ~ 0.2 2 0.1
execute as @e[tag=meteor_blast_anim] at @s if entity @p[tag=host,scores={boss.battle_tick=264..284}] run playsound minecraft:entity.zombie_villager.cure player @a[distance=..3] ~ ~ ~ 0.1 0 0.1
execute as @e[tag=meteor_blast_anim] at @s if entity @p[tag=host,scores={boss.battle_tick=224..264}] run playsound minecraft:entity.elder_guardian.ambient player @a[distance=..8] ~ ~ ~ 0.2 2 0.1
execute as @e[tag=meteor_blast_anim] at @s run particle dust 0.2 0 0.4 1 ~ ~1 ~ 0.2 0.2 0.2 1 5 force
execute as @e[tag=meteor_blast_anim] at @s if entity @p[tag=host,scores={boss.battle_tick=264..284}] run tp @s ^ ^ ^-1
execute as @e[tag=meteor_blast_anim] at @s if entity @p[tag=host,scores={boss.battle_tick=264..284}] run effect give @e[tag=ally,distance=..10] instant_damage 1 1 true

execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=264}] run data modify entity @s Pose{} set value {RightArm:[0f,0f,89f],LeftArm:[351f,0f,290f],RightLeg:[0f,17f,16f],LeftLeg:[360f,273f,334f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=264}] run data modify entity @e[tag=oldmage_feet,limit=1,sort=nearest] Pose{} set value {RightLeg:[0f,17f,16f],LeftLeg:[360f,273f,334f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=264}] run data modify entity @e[tag=oldmage_head,limit=1,sort=nearest] Pose{} set value {Head:[46f,0f,0f]}
#Meteoric Shower - The Shower
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=300..301}] run tellraw @a {"text":"Beware the Arcanum Shower!","color":"yellow","bold":true}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=300..}] run data modify entity @e[tag=oldmage_feet,limit=1,sort=nearest] Pose{} set value {RightLeg:[9f,30f,0f],LeftLeg:[0f,0f,0f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=300..}] run data modify entity @e[tag=oldmage_head,limit=1,sort=nearest] Pose{} set value {Head:[345f,333f,0f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=302}] run data modify entity @s Pose{} set value {Head:[180f,0f,0f],RightLeg:[9f,30f,0f],LeftArm:[331f,340f,290f],RightArm:[3f,11f,79f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=304}] run data modify entity @s Pose{} set value {Head:[180f,0f,0f],RightLeg:[9f,30f,0f],LeftArm:[316f,320f,285f],RightArm:[3f,11f,79f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=306}] run data modify entity @s Pose{} set value {Head:[180f,0f,0f],RightLeg:[9f,30f,0f],LeftArm:[300f,315f,280f],RightArm:[7f,22f,55f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=308}] run data modify entity @s Pose{} set value {Head:[180f,0f,0f],RightLeg:[9f,30f,0f],LeftArm:[287f,320f,280f],RightArm:[10f,33f,45f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=310}] run data modify entity @s Pose{} set value {Head:[180f,0f,0f],RightLeg:[9f,30f,0f],LeftArm:[277f,325f,275f],RightArm:[13f,40f,25f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=313}] run data modify entity @s Pose{} set value {Head:[180f,0f,0f],RightLeg:[9f,30f,0f],LeftArm:[267f,331f,275f],RightArm:[15f,44f,14f]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=313..}] run tp @s ~ ~0.05 ~
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=313..}] run summon area_effect_cloud ~ ~ ~ {Duration:1,Tags:["shower_target"]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=313..}] run summon area_effect_cloud ~ ~ ~ {Duration:1,Tags:["shower_target"]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=313..}] run summon area_effect_cloud ~ ~ ~ {Duration:1,Tags:["shower_target"]}
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=313..}] run spreadplayers ~ ~ 0.1 20 under 30 true @e[tag=shower_target,type=area_effect_cloud,distance=..20]
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=313..}] run playsound entity.zombie_villager.converted ambient @a[distance=..30] ~ ~ ~ 1 0 0
#Meteoric Shower Effects and Animation
execute as @e[tag=shower_target] at @s run summon area_effect_cloud ~ ~25 ~ {Duration:30,Tags:["shower_proj"]}
execute as @e[tag=shower_target] at @s run particle flash ~ ~25 ~ 1 0 1 1 1 force
execute as @e[tag=shower_target] at @s run particle electric_spark ~ ~10 ~ 5 5 5 1 10 normal
execute as @e[tag=shower_proj] at @s run tp @s ~ ~-2 ~
execute as @e[tag=shower_proj] at @s run particle dust_color_transition 0.8 0.8 0.8 2 0 1 1 ~ ~ ~ 0.1 0.5 0.1 1 4 normal
execute as @e[tag=shower_proj] at @s run particle electric_spark ~ ~1 ~ 0.3 0.5 0.3 1 2 normal

execute as @e[tag=shower_proj,tag=!explode] at @s unless block ~ ~-1 ~ air run playsound entity.elder_guardian.hurt ambient @a[distance=..30] ~ ~ ~ 0.5 1 0
execute as @e[tag=shower_proj,tag=!explode] at @s unless block ~ ~-1 ~ air run effect give @e[tag=ally,distance=..4] instant_damage 1 1 true
execute as @e[tag=shower_proj,tag=!explode] at @s unless block ~ ~-1 ~ air run particle dust_color_transition 0.8 0.8 0.8 2 0 1 1 ~ ~0.3 ~ 1 0.1 1 1 20 force
execute as @e[tag=shower_proj,tag=!explode] at @s unless block ~ ~-1 ~ air run particle flash ~ ~0.3 ~ 1 0.1 1 1 1 force
execute as @e[tag=shower_proj,tag=!explode] at @s unless block ~ ~-1 ~ air run tag @s add explode
execute as @e[tag=shower_proj,tag=explode] at @s if block ~ ~-1 ~ air run tag @s remove explode

#Remove Skill Tags
execute as @e[tag=oldmage_body,tag=mirage_path] at @s if entity @p[tag=host,scores={boss.battle_tick=299..300}] run tag @s remove mirage_path
execute as @e[tag=oldmage_body,tag=mirage_orbs] at @s if entity @p[tag=host,scores={boss.battle_tick=299..300}] run tag @s remove mirage_orbs
execute as @e[tag=oldmage_body,tag=arcane_remnant] at @s if entity @p[tag=host,scores={boss.battle_tick=299..300}] run tag @s remove arcane_remnant
execute as @e[tag=oldmage_body,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=599..600}] run tag @s remove meteoric_shower
execute as @e[tag=oldmage_body,tag=skill,tag=!meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=299..300}] run tag @s remove skill
execute as @e[tag=oldmage_body,tag=skill,tag=meteoric_shower] at @s if entity @p[tag=host,scores={boss.battle_tick=599..600}] run tag @s remove skill

execute as @a[scores={boss.storage1=100..200}] at @s run scoreboard players set @s boss.storage1 0
execute as @e[tag=oldmage_body,tag=!meteoric_shower,tag=!arcane_remnant_proj] at @s if entity @p[scores={boss.battle_tick=300..}] run scoreboard players set @a boss.battle_tick 0
execute as @e[tag=oldmage_body,tag=meteoric_shower,tag=!arcane_remnant_proj] at @s if entity @p[scores={boss.battle_tick=600..}] run scoreboard players set @a boss.battle_tick 0

execute store result score @a boss.storage2 run data get entity @e[tag=oldmage_entity,limit=1,sort=nearest] Health
execute as @e[tag=oldmage_body,tag=!75_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..450}] run tag @s add arcane_remnant
execute as @e[tag=oldmage_body,tag=!75_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..450}] run tag @s add skill
execute as @e[tag=oldmage_body,tag=!75_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..450}] run scoreboard players set @a boss.battle_tick 200
execute as @e[tag=oldmage_body,tag=!75_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..450}] run tag @s add 75_percent

execute as @e[tag=oldmage_body,tag=!50_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..300}] run tag @s add meteoric_shower
execute as @e[tag=oldmage_body,tag=!50_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..300}] run tag @s add skill
execute as @e[tag=oldmage_body,tag=!50_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..300}] run scoreboard players set @a boss.battle_tick 200
execute as @e[tag=oldmage_body,tag=!50_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..300}] run tag @s add 50_percent

execute as @e[tag=oldmage_body,tag=!25_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..150}] run tag @s add arcane_remnant
execute as @e[tag=oldmage_body,tag=!25_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..150}] run tag @s add skill
execute as @e[tag=oldmage_body,tag=!25_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..150}] run scoreboard players set @a boss.battle_tick 200
execute as @e[tag=oldmage_body,tag=!25_percent,tag=!arcane_remnant_proj] if entity @p[tag=host,scores={boss.storage2=..150}] run tag @s add 25_percent

#Defeat
execute as @e[tag=arcane_remnant_proj] at @s unless entity @e[tag=oldmage_entity] run kill @s
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!defeat] at @s unless entity @e[tag=oldmage_entity] run scoreboard players set @a boss.storage1 200
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj,tag=!defeat] at @s unless entity @e[tag=oldmage_entity] run tag @s add defeat
execute as @e[tag=oldmage_body,tag=!arcane_remnant_proj] at @s if entity @p[scores={boss.storage1=200..}] run scoreboard players add @a[scores={boss.storage1=200..}] boss.storage1 1
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=220..222}] run tellraw @a ["",{"text":"< "},{"text":"???","bold":true,"color":"red"},{"text":" > "},{"text":"Hmph.. Perhaps I underestimated you mortals.. Interesting. You might have what it takes... Just... Maybe..","color":"light_purple"},{"text":" "}]
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=280..282}] run data modify entity @s Pose{} merge value {RightArm:[10f,46f,20f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=284..286}] run data modify entity @s Pose{} merge value {RightArm:[350f,36f,30f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=288..290}] run data modify entity @s Pose{} merge value {RightArm:[330f,26f,40f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=292..294}] run data modify entity @s Pose{} merge value {RightArm:[310f,16f,50f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=296..299}] run data modify entity @s Pose{} merge value {RightArm:[290f,8f,65f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=300..303}] run data modify entity @s Pose{} merge value {RightArm:[280f,0f,74f],LeftArm:[360f,0f,341f]}
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=304..}] run data modify entity @s Pose{} merge value {RightArm:[0f,0f,63f],LeftArm:[360f,0f,341f]}

execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=210..306}] run particle portal ~ ~1 ~ 0 0 0 3 100 force
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=210..306}] run particle dust_color_transition 0.8 0.8 0.8 2 0 1 1 ^ ^1 ^-1 0.4 1 0.4 3 100 force
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=302..303}] run tellraw @a ["",{"text":"< "},{"text":"???","bold":true,"color":"red"},{"text":" > "},{"text":"Until we meet again, then.","color":"light_purple"},{"text":" "}]
execute as @e[tag=oldmage_body,tag=defeat] at @s if entity @p[tag=host,scores={boss.storage1=307}] run kill @e[tag=oldmage_part]
