

execute as @e[tag=cursed_quarry_totem] at @s if entity @a[distance=..30] run execute as @a[distance=..30,tag=!in_cursed_quarry] run title @s subtitle {"text":"- Myrdinn Quarry -","color":"red","bold":"false"}
execute as @e[tag=cursed_quarry_totem] at @s if entity @a[distance=..30] run execute as @a[distance=..30,tag=!in_cursed_quarry] run title @s title {"text":"Myrdinn Forest","color":"green","bold":"true"}
execute as @e[tag=cursed_quarry_totem] at @s if entity @a[distance=..30] run tag @a[distance=..30,tag=!in_cursed_quarry] add in_cursed_quarry
execute as @a[tag=in_cursed_quarry] at @s unless entity @e[tag=cursed_quarry_totem,distance=..30] run tag @s remove in_cursed_quarry

execute as @e[tag=midland_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_midland] run title @s subtitle {"text":"- South Border -","color":"red","bold":"false"}
execute as @e[tag=midland_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_midland] run title @s title {"text":"Midland","color":"white","bold":"true"}
execute as @e[tag=midland_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_midland] at @s run stopsound @s
execute as @e[tag=midland_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_midland] at @s run playsound music.overworld.meadow music @s ~ ~ ~ 1 1
execute as @e[tag=midland_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_midland] at @s run time set 1600s
execute as @e[tag=midland_totem] at @s if entity @a[distance=..80] run tag @a[distance=..80,tag=!in_midland] add in_midland
execute as @a[tag=in_midland] at @s unless entity @e[tag=midland_totem,distance=..80] run tag @s remove in_midland

execute as @e[tag=astaria_fields_totem] at @s if entity @a[distance=..90] run execute as @a[distance=..90,tag=!in_astaria_fields] run title @s subtitle {"text":"- A fallen kingdom -","color":"red","bold":false}
execute as @e[tag=astaria_fields_totem] at @s if entity @a[distance=..90] run execute as @a[distance=..90,tag=!in_astaria_fields] run title @s title {"text":"Fields of Astaria","color":"red","bold":"true"}
execute as @e[tag=astaria_fields_totem] at @s if entity @a[distance=..90] run execute as @a[distance=..90,tag=!in_astaria_fields] at @s run playsound ambient.cave music @s ~ ~ ~ 1 1
execute as @e[tag=astaria_fields_totem] at @s if entity @a[distance=..90] run execute as @a[distance=..90,tag=!in_astaria_fields] at @s run time set 1900s
execute as @e[tag=astaria_fields_totem] at @s if entity @a[distance=..90] run tag @a[distance=..90,tag=!in_astaria_fields] add in_astaria_fields
execute as @a[tag=in_astaria_fields] at @s unless entity @e[tag=astaria_fields_totem,distance=..90] run tag @s remove in_astaria_fields

execute as @e[tag=astaria_chapel_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_astaria_chapel] run title @s subtitle {"text":"Astaria Village Chapel","color":"red","bold":false}
execute as @e[tag=astaria_chapel_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_astaria_chapel] run title @s title {"text":"Fields Of Astaria","color":"red","bold":"true"}
execute as @e[tag=astaria_chapel_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_astaria_chapel] at @s run playsound ambient.nether_wastes.mood music @s ~ ~ ~ 1 0
execute as @e[tag=astaria_chapel_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_astaria_chapel] at @s run time set 1900s
execute as @e[tag=astaria_chapel_totem] at @s if entity @a[distance=..20] run tag @a[distance=..20,tag=!in_astaria_chapel] add in_astaria_chapel
execute as @a[tag=in_astaria_chapel] at @s unless entity @e[tag=astaria_chapel_totem,distance=..20] run tag @s remove in_astaria_chapel

execute as @e[tag=astaria_castle_totem] at @s if entity @a[distance=..40] run execute as @a[distance=..40,tag=!in_astaria_castle] run title @s subtitle {"text":"- The Ruined Castle Of Astaria -","color":"red","bold":false}
execute as @e[tag=astaria_castle_totem] at @s if entity @a[distance=..40] run execute as @a[distance=..40,tag=!in_astaria_castle] run title @s title {"text":"Ruins Of Astaria","color":"red","bold":true}
execute as @e[tag=astaria_castle_totem] at @s if entity @a[distance=..40] run execute as @a[distance=..40,tag=!in_astaria_castle] at @s run stopsound @s
execute as @e[tag=astaria_castle_totem] at @s if entity @a[distance=..40] run execute as @a[distance=..40,tag=!in_astaria_castle] at @s run playsound music.nether.nether_wastes music @s ~ ~ ~ 1 1
execute as @e[tag=astaria_castle_totem] at @s if entity @a[distance=..40] run execute as @a[distance=..40,tag=!in_astaria_castle] at @s run playsound ambient.soul_sand_valley.mood music @s ~ ~ ~ 1 0
execute as @e[tag=astaria_castle_totem] at @s if entity @a[distance=..40] run tag @a[distance=..40,tag=!in_astaria_castle] add in_astaria_castle
execute as @a[tag=in_astaria_castle] at @s unless entity @e[tag=astaria_castle_totem,distance=..40] run tag @s remove in_astaria_castle

execute as @e[tag=zerr_caves_totem] at @s if entity @a[distance=..60] run execute as @a[distance=..60,tag=!in_zerr_caves] run title @s subtitle {"text":" ","color":"light_purple","bold":true}
execute as @e[tag=zerr_caves_totem] at @s if entity @a[distance=..60] run execute as @a[distance=..60,tag=!in_zerr_caves] run title @s title {"text":"Zerr Caves","color":"light_purple","bold":true}
execute as @e[tag=zerr_caves_totem] at @s if entity @a[distance=..60] run execute as @a[distance=..60,tag=!in_zerr_caves] at @s run stopsound @s
execute as @e[tag=zerr_caves_totem] at @s if entity @a[distance=..60] run execute as @a[distance=..60,tag=!in_zerr_caves] at @s run playsound music.overworld.dripstone_caves music @s ~ ~ ~ 1 1
execute as @e[tag=zerr_caves_totem] at @s if entity @a[distance=..60] run execute as @a[distance=..60,tag=!in_zerr_caves] at @s run playsound ambient.cave music @a[distance=..80] ~ ~ ~ 1 1 1
execute as @e[tag=zerr_caves_totem] at @s if entity @a[distance=..60] run tag @a[distance=..60,tag=!in_zerr_caves] add in_zerr_caves
execute as @a[tag=in_zerr_caves] at @s unless entity @e[tag=zerr_caves_totem,distance=..60] run tag @s remove in_zerr_caves

execute as @e[tag=zerr_passage_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_zerr_passage] run title @s subtitle {"text":" ","color":"light_purple","bold":true}
execute as @e[tag=zerr_passage_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_zerr_passage] run title @s title {"text":"Zerr Passage","color":"light_purple","bold":true}
execute as @e[tag=zerr_passage_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_zerr_passage] at @s run stopsound @s
execute as @e[tag=zerr_passage_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_zerr_passage] at @s run playsound music.overworld.lush_caves music @s ~ ~ ~ 1 1
execute as @e[tag=zerr_passage_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_zerr_passage] at @s run playsound ambient.cave music @a[distance=..20] ~ ~ ~ 1 1
execute as @e[tag=zerr_passage_totem] at @s if entity @a[distance=..20] run tag @a[distance=..20,tag=!in_zerr_passage] add in_zerr_passage
execute as @a[tag=in_zerr_passage] at @s unless entity @e[tag=zerr_passage_totem,distance=..20] run tag @s remove in_zerr_passage

execute as @e[tag=cliffhearth_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_cliffhearth] run title @s subtitle {"text":" ","color":"light_purple","bold":false}
execute as @e[tag=cliffhearth_totem] at @s if entity @a[distance=..20] run execute as @a[distance=..20,tag=!in_cliffhearth] run title @s title {"text":"Mt. Cliffhearth","color":"light_purple","bold":true}
execute as @e[tag=cliffhearth_totem] at @s if entity @a[distance=..20] run tag @a[distance=..20,tag=!in_cliffhearth] add in_cliffhearth
execute as @a[tag=in_cliffhearth] at @s unless entity @e[tag=cliffhearth_totem,distance=..20] run tag @s remove in_cliffhearth

execute as @e[tag=cliffhearth_mine_totem] at @s if entity @a[distance=..90] run execute as @a[distance=..90,tag=!in_cliffhearth_mine] run title @s subtitle {"text":"Cliffhearth Mine","color":"light_purple","bold":false}
execute as @e[tag=cliffhearth_mine_totem] at @s if entity @a[distance=..90] run execute as @a[distance=..90,tag=!in_cliffhearth_mine] run title @s title {"text":"Mt. Cliffhearth","color":"light_purple","bold":true}
execute as @e[tag=cliffhearth_mine_totem] at @s if entity @a[distance=..90] run tag @a[distance=..90,tag=!in_cliffhearth_mine] add in_cliffhearth_mine
execute as @a[tag=in_cliffhearth_mine] at @s unless entity @e[tag=cliffhearth_mine_totem,distance=..90] run tag @s remove in_cliffhearth_mine

execute as @e[tag=old_altar_spring_totem] at @s if entity @a[distance=..30] run execute as @a[distance=..30,tag=!in_old_altar_spring] run title @s subtitle {"text":"- Fragment of The Other Side -","color":"dark_purple","bold":false}
execute as @e[tag=old_altar_spring_totem] at @s if entity @a[distance=..30] run execute as @a[distance=..30,tag=!in_old_altar_spring] run title @s title {"text":"Old Altar Spring","color":"red","bold":true}
execute as @e[tag=old_altar_spring_totem] at @s if entity @a[distance=..30] run execute as @a[distance=..30,tag=!in_old_altar_spring] at @s run stopsound @s
execute as @e[tag=old_altar_spring_totem] at @s if entity @a[distance=..30] run execute as @a[distance=..30,tag=!in_old_altar_spring] at @s run playsound music.nether.nether_wastes music @s ~ ~ ~ 1 1
execute as @e[tag=old_altar_spring_totem] at @s if entity @a[distance=..30] run tag @a[distance=..30,tag=!in_old_altar_spring] add in_old_altar_spring
execute as @a[tag=in_old_altar_spring] at @s unless entity @e[tag=old_altar_spring_totem,distance=..50] run tag @s remove in_old_altar_spring

execute as @e[tag=myrdinn_forest_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_myrdinn_forest] run title @s subtitle {"text":"-Red Cross Knights Territory-","color":"white","bold":false}
execute as @e[tag=myrdinn_forest_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_myrdinn_forest] run title @s title {"text":"Myrdinn Forest","color":"green","bold":true}
execute as @e[tag=myrdinn_forest_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_myrdinn_forest] at @s run stopsound @s
execute as @e[tag=myrdinn_forest_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_myrdinn_forest] at @s run playsound music.overworld.grove music @s ~ ~ ~ 1 1
execute as @e[tag=myrdinn_forest_totem] at @s if entity @a[distance=..80] run execute as @a[distance=..80,tag=!in_myrdinn_forest] at @s run time set 1200s
execute as @e[tag=myrdinn_forest_totem] at @s if entity @a[distance=..80] run tag @a[distance=..80,tag=!in_myrdinn_forest] add in_myrdinn_forest
execute as @a[tag=in_myrdinn_forest] at @s unless entity @e[tag=myrdinn_forest_totem,distance=..80] run tag @s remove in_myrdinn_forest

execute as @e[tag=narthex_1] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_1] run title @s subtitle {"text":" Floor 1 ","color":"blue","bold":false}
execute as @e[tag=narthex_1] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_1] run title @s title {"text":"The Narthex","color":"dark_aqua","bold":true}
execute as @e[tag=narthex_1] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_1] at @s run stopsound @s
execute as @e[tag=narthex_1] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_1] at @s run playsound ambient.cave music @s ~ ~ ~ 1 1
execute as @e[tag=narthex_1] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_1] at @s run playsound music.nether.crimson_forest music @s ~ ~ ~ 1 1
execute as @e[tag=narthex_1] at @s if entity @a[distance=..5] run tag @a[distance=..5,tag=!in_narthex_1] add in_narthex_1
execute as @a[tag=in_narthex_1] at @s unless entity @e[tag=narthex_1,distance=..80] run tag @s remove in_narthex_1

execute as @e[tag=narthex_2] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_2] run title @s subtitle {"text":" Floor 2 ","color":"blue","bold":false}
execute as @e[tag=narthex_2] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_2] run title @s title {"text":"The Narthex","color":"dark_aqua","bold":true}
execute as @e[tag=narthex_2] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_2] at @s run stopsound @s
execute as @e[tag=narthex_2] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_2] at @s run playsound ambient.cave music @s ~ ~ ~ 1 1
execute as @e[tag=narthex_2] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_2] at @s run playsound music.nether.crimson_forest music @s ~ ~ ~ 1 1
execute as @e[tag=narthex_2] at @s if entity @a[distance=..5] run tag @a[distance=..5,tag=!in_narthex_2] add in_narthex_2
execute as @a[tag=in_narthex_2] at @s unless entity @e[tag=narthex_2,distance=..80] run tag @s remove in_narthex_2

execute as @e[tag=narthex_4] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_4] run title @s subtitle {"text":" Pinnacle ","color":"blue","bold":false}
execute as @e[tag=narthex_4] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_4] run title @s title {"text":"The Narthex","color":"dark_aqua","bold":true}
execute as @e[tag=narthex_4] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_4] at @s run stopsound @s
execute as @e[tag=narthex_4] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_4] at @s run playsound entity.lightning_bolt.thunder music @s ~ ~ ~ 1 0
execute as @e[tag=narthex_4] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_4] at @s run playsound music.nether.crimson_forest music @s ~ ~ ~ 1 1
execute as @e[tag=narthex_4] at @s if entity @a[distance=..5] run tag @a[distance=..5,tag=!in_narthex_4] add in_narthex_4
execute as @a[tag=in_narthex_4] at @s unless entity @e[tag=narthex_4,distance=..80] run tag @s remove in_narthex_4

execute as @e[tag=narthex_3] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_3] run title @s subtitle {"text":" Floor 3 ","color":"blue","bold":false}
execute as @e[tag=narthex_3] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_3] run title @s title {"text":"The Narthex","color":"dark_aqua","bold":true}
execute as @e[tag=narthex_3] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_3] at @s run stopsound @s
execute as @e[tag=narthex_3] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_3] at @s run playsound entity.lightning_bolt.thunder music @s ~ ~ ~ 1 0
execute as @e[tag=narthex_3] at @s if entity @a[distance=..5] run execute as @a[distance=..5,tag=!in_narthex_3] at @s run playsound music.nether.crimson_forest music @s ~ ~ ~ 1 1
execute as @e[tag=narthex_3] at @s if entity @a[distance=..5] run tag @a[distance=..5,tag=!in_narthex_3] add in_narthex_3
execute as @a[tag=in_narthex_3] at @s unless entity @e[tag=narthex_3,distance=..80] run tag @s remove in_narthex_3
