execute as @a[tag=sts, scores={crouch=1.. , stscd=1..}, nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run scoreboard players set @s crouch 0
execute as @a[tag=sts,tag=!up_sts, scores={stscd=..1},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run title @s actionbar {"text":"Active Skill: Shock Shield - Ready","color":"yellow","bold":true} 
execute as @a[tag=up_sts, scores={stscd=..1},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run title @s actionbar {"text":"Active Skill: Shock Shield (Surge Of Duzun) - Ready","color":"yellow","bold":true} 
scoreboard players remove @a[tag=sts,scores={stscd=1..}] stscd 1
title @a[tag=sts, scores={stscd=1..},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] actionbar {"score":{"name":"*","objective":"stscd"},"color":"yellow", "extra":[" Ticks Of Shock Shield Cooldown left"]}

execute as @a[tag=sts, scores={stscd=..1,crouch=1..},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run tag @e[tag=ally,sort=nearest,limit=2,distance=..5,type=!area_effect_cloud,type=!armor_stand,type=!item,type=!item_frame,type=!potion] add shock_shield
execute as @a[tag=up_sts, scores={stscd=..1,crouch=1..},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run tag @e[tag=ally,distance=..5,type=!area_effect_cloud,type=!armor_stand,type=!item,type=!item_frame,type=!potion] add shock_shield
execute as @a[tag=sts, scores={stscd=..1,crouch=1..,ally.anim_tick=0..10},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run tellraw @a[distance=..10] ["",{"text":"<","color":"white"},{"selector":"@s","bold":true,"color":"light_purple"},{"text":"> Thunder Wader!","color":"white"}]
execute as @a[tag=sts, scores={stscd=..1,crouch=1..,ally.anim_tick=11..20},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run tellraw @a[distance=..10] ["",{"text":"<","color":"white"},{"selector":"@s","bold":true,"color":"light_purple"},{"text":"> Lightning Shield!","color":"white"}]
execute as @a[tag=sts, scores={stscd=..1,crouch=1..,ally.anim_tick=21..30},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run tellraw @a[distance=..10] ["",{"text":"<","color":"white"},{"selector":"@s","bold":true,"color":"light_purple"},{"text":"> Shock Barrier!","color":"white"}]
execute as @a[tag=sts, scores={stscd=..1,crouch=1..},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run playsound minecraft:entity.lightning_bolt.thunder player @a[distance=..15] ~ ~ ~ 0.5 2 0
execute as @a[tag=sts, scores={stscd=..1,crouch=1..},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run playsound minecraft:entity.evoker.cast_spell player @a[distance=..15] ~ ~ ~ 1 0 0
execute as @a[tag=sts, scores={stscd=..1,crouch=1..},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run particle flash ~ ~1 ~ 0 0 0 0 1 force
execute as @a[tag=sts, scores={stscd=..1,crouch=1..},nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] at @s run effect give @e[tag=shock_shield,distance=..5] absorption 15 2 true
execute as @a[tag=sts, nbt={SelectedItem:{id:"minecraft:iron_hoe"}},scores={crouch=1.., stscd=..1},tag=shock_shield] at @s run scoreboard players set @s stscd 500

#shock shield particle
execute as @e[tag=shock_shield] at @s run particle electric_spark ~ ~0.1 ~ 0.4 0.1 0.4 0.1 5 force
execute as @e[tag=shock_shield] at @s run particle electric_spark ~ ~2.3 ~ 0 0 0 0.5 3 force
execute as @e[tag=shock_shield] at @s run particle electric_spark ~ ~1 ~ 0.4 0.5 0.4 0.1 1 force
execute as @e[tag=shock_shield] at @s run particle instant_effect ~ ~0.1 ~ 0.4 0 0.4 0 3 force

execute as @e[tag=shock_shield,tag=!shock_shield_active] at @s unless entity @e[tag=stsDuration,distance=..1] run summon area_effect_cloud ~ ~ ~ {Duration:300,Tags:["stsDuration"]}
execute as @e[tag=shock_shield,tag=!shock_shield_active] at @s if entity @e[tag=stsDuration,distance=..1] run tag @s add shock_shield_active
execute as @e[tag=stsDuration] at @s run tp @s @e[tag=shock_shield,limit=1,sort=nearest]
execute as @e[tag=shock_shield] at @s unless entity @e[tag=stsDuration,distance=..1] run tag @s remove shock_shield
execute as @e[tag=shock_shield_active] at @s unless entity @e[tag=stsDuration,distance=..1] run tag @s remove shock_shield_active

execute as @e[tag=shock_shield] at @s unless entity @e[tag=sts_cd,distance=..2] run summon area_effect_cloud ~ ~ ~ {Duration:20,Tags:["stsProj"]}
execute as @e[tag=shock_shield] at @s unless entity @e[tag=sts_cd,distance=..2] run summon area_effect_cloud ~ ~ ~ {Duration:60,Tags:["sts_cd"]}
execute as @e[tag=sts_cd] at @s run tp @s @e[tag=shock_shield,limit=1,sort=nearest]

#shock mechanism
execute as @e[tag=stsProj] at @s run tag @e[tag=enemy,distance=..8,tag=!stsShocked] add stsShock
execute as @e[tag=stsProj] at @s run effect give @e[tag=stsShock,tag=undeadenemy,distance=..2] instant_health 1 0 true
execute as @e[tag=stsProj] at @s run effect give @e[tag=stsShock,tag=enemy,tag=!undeadenemy,distance=..2] instant_damage 1 0 true
execute as @e[tag=stsProj] at @s run effect give @e[tag=stsShock,tag=enemy,distance=..2] slowness 1 2 true
execute as @e[tag=stsProj] at @s if entity @e[tag=stsShock,distance=..1,tag=enemy] run tag @s add stsShocked
execute as @e[tag=stsShock] at @s if entity @e[tag=stsProj,distance=..1] run tag @s remove stsShock
execute as @e[tag=stsProj] at @s if entity @e[tag=stsShock,distance=..8] run tp @s ^ ^ ^1.4 facing entity @e[tag=stsShock,limit=1,sort=nearest]
execute as @e[tag=stsProj] at @s unless entity @e[tag=stsShock,distance=..8] run kill @s 
execute as @e[tag=stsShocked] at @s unless entity @e[tag=stsProj,distance=..16] run tag @s remove stsShocked

#shock projectile particles
execute as @e[tag=stsProj] at @s run particle electric_spark ~ ~1 ~ 0 0 0 0.3 5 force
execute as @e[tag=stsProj] at @s if entity @e[tag=enemy,distance=..2,tag=stsShock] run playsound minecraft:entity.lightning_bolt.thunder player @a[distance=..10] ~ ~ ~ 0.2 2 0