#Targetting Checks
function ampsurv:system-targetting
#Boss Checks
function md:md-bossmanager
execute at @e[tag=templar,limit=1,sort=arbitrary] run function md:md-bossmanager-thetemplars
execute if entity @e[type=shulker,tag=revenant_core] run function ampsurv:boss-revenant
execute if entity @e[type=armor_stand,tag=revenant_illu] unless entity @e[type=shulker,tag=revenant_core] run function ampsurv:boss-revenant
execute if entity @e[type=armor_stand,tag=oldmage_body] run function ampsurv:boss-oldmage
execute if entity @e[type=vindicator,tag=oldmage_entity] unless entity @e[type=armor_stand,tag=oldmage_body] run function ampsurv:boss-oldmage
execute if entity @e[type=armor_stand,tag=yokovic_Model] run function ampsurv:boss-yokovic
execute if entity @e[type=wither_skeleton,tag=yokovic_Entity] unless entity @e[type=armor_stand,tag=yokovic_Model] run function ampsurv:boss-yokovic
execute if entity @e[type=skeleton,tag=phantasma] run function ampsurv:boss-phantasma
scoreboard players add @a boss.battle_tick 1

# Skill Checks
execute if entity @a[tag=cor] run function ampsurv:as-chantofrenewal
execute if entity @a[tag=se] run function ampsurv:aas-silentedges
execute if entity @a[tag=mo] run function ampsurv:aas-mysticusopus
execute if entity @a[tag=soa] run function ampsurv:aas-spritesofamnareth
execute if entity @a[tag=ia] run function ampsurv:aas-ignisarrow
execute if entity @a[tag=sete] run function ampsurv:aas-scroungedeternity
execute if entity @a[tag=eon] run function ampsurv:aas-eyeofnyarlanthotep
execute if entity @a[tag=vf] run function ampsurv:as-valorflare
execute if entity @a[tag=fa] run function ampsurv:aas-frigusarrow
execute if entity @a[tag=st] run function ampsurv:as-sacredtestament
execute if entity @a[tag=fs] run function ampsurv:as-firestorm
execute if entity @a[tag=ds] run function ampsurv:aas-daedalusshot
execute if entity @a[tag=ar] run function ampsurv:as-arrowrain
execute if entity @a[tag=es] run function ampsurv:aas-gaiafissure
execute if entity @a[tag=nnm] run function ampsurv:aas-northlandarnewmoon
execute if entity @a[tag=eots] run function ampsurv:aas-eyeofthestorm
execute if entity @a[tag=ag] run function ampsurv:as-arcaneguard
execute if entity @a[tag=rs] run function ampsurv:as-revenantseance
execute if entity @a[tag=ci] run function ampsurv:as-cosmicincineration
execute if entity @a[tag=rws] run function ampsurv:aas-rimewindslash
execute if entity @a[tag=rb] run function ampsurv:aas-righteousbrandishing
execute if entity @a[tag=it] run function ampsurv:as-infernaltremor
execute if entity @a[tag=al] run function ampsurv:aas-atlantean-loch
execute if entity @a[tag=mm] run function ampsurv:aas-mystical-missile
execute if entity @a[tag=brb] run function ampsurv:aas-blackrosebarrier
execute if entity @a[tag=ts] run function ampsurv:as-terraslam
execute if entity @a[tag=cb] run function ampsurv:as-cinderblossom
execute if entity @a[tag=dod] run function ampsurv:aas-danceofdeath
execute if entity @a[tag=wow] run function ampsurv:aas-willowisp
execute if entity @a[tag=aa] run function ampsurv:as-ancientappraisal
execute if entity @a[tag=eu] run function ampsurv:aas-eternianumbra
execute if entity @a[tag=ms] run function ampsurv:as-maelstrom
execute if entity @a[tag=as] run function ampsurv:as-arcslinger
execute if entity @a[tag=df] run function ampsurv:aas-divinefavor
execute if entity @a[tag=mp] run function ampsurv:aas-perception
execute if entity @a[tag=ac] run function ampsurv:as-aircutters
execute if entity @a[tag=gg] run function ampsurv:aas-gloriousgleam
execute if entity @a[tag=pr] run function ampsurv:as-shimmergate
execute if entity @a[tag=sts] run function ampsurv:as-shockshield

#Relic Proccs
execute if entity @a[tag=am] run function ampsurv:rs-axemastery
execute if entity @a[tag=sm] run function ampsurv:rs-swordmastery
execute if entity @a[tag=bm] run function ampsurv:rs-bowmastery
execute if entity @a[tag=iw] run function ampsurv:rs-igniswave
execute if entity @a[tag=durandal] run function ampsurv:rs-incorrupt
execute if entity @a[tag=marsattila] run function ampsurv:rs-attila
execute if entity @a[tag=excalibur] run function ampsurv:rs-valiant
execute if entity @a[tag=bk] run function ampsurv:rs-bulwark
execute if entity @a[tag=cf] run function ampsurv:rs-coldfeetaura
scoreboard players set @a[scores={iw_trigger=1..}] iw_trigger 0

#Utility Checks
execute at @a[nbt={Inventory:[{id:"minecraft:enchanted_book",Slot:-106b,tag:{display:{Name:'[{"text":"Skill Disenchanter","italic":false,"color":"aqua","bold":true}]',Lore:['[{"text":"It is important to be able","italic":false}]','[{"text":"to change skills that you","italic":false}]','[{"text":"have. Go figure!","italic":false}]','[{"text":"","italic":false}]','[{"text":"When having this book","italic":false,"color":"gold"}]','[{"text":"in OFFHAND, and the","italic":false,"color":"gold"}]','[{"text":"Activation Item of the","italic":false,"color":"gold"}]','[{"text":"skill you want to remove","italic":false,"color":"gold"}]','[{"text":"in MAINHAND,","italic":false,"color":"gold"}]','[{"text":"Use a Smithing Table to","italic":false,"color":"gold"}]','[{"text":"remove the skill from","italic":false,"color":"gold"}]','[{"text":"you.","italic":false,"color":"gold"}]']}} }]},scores={request_delearn=1..} ] run function ampsurv:util-skilldisenchanter
function ampsurv:util-relic-detections
execute if entity @a[scores={request_learn=1..}] run function ampsurv:util-skill-learning-trigger
execute at @a[scores={request_skillchk=1..},nbt={SelectedItem:{id:"minecraft:written_book",tag:{display:{Name:'[{"text":"Second Codex Of Magis Cerraoubloum","italic":false,"bold":true,"color":"aqua"}]',Lore:['[{"text":"Encyclopedia of magic,"}]','[{"text":"mana manipulation, divine","italic":true}]','[{"text":"blessings, and all other","italic":true}]','[{"text":"unnatural abilities that","italic":true}]','[{"text":"are given to those who","italic":true}]','[{"text":"are chosen.","italic":true},{"text":"","italic":false}]','[{"text":"-Written by Magis","italic":false}]','[{"text":"Cerraoubloum.","italic":false}]','[{"text":"Right-Click this book","italic":false,"color":"gold"}]','[{"text":"to see all Advanced Active","italic":false,"color":"gold"}]','[{"text":"Skills currently in the game","italic":false,"color":"gold"}]','[{"text":"along with its Information.","italic":false,"color":"gold"}]']}}}}] run function ampsurv:util-secondcodex
execute at @a[scores={request_skillchk=1..},nbt={SelectedItem:{id:"minecraft:written_book",tag:{display:{Name:'[{"text":"First Codex Of Magis Cerraoubloum","italic":false,"bold":true,"color":"aqua"}]',Lore:['[{"text":"Encyclopedia of magic,"}]','[{"text":"mana manipulation, divine","italic":true}]','[{"text":"blessings, and all other","italic":true}]','[{"text":"unnatural abilities that","italic":true}]','[{"text":"are given to those who","italic":true}]','[{"text":"are chosen.","italic":true},{"text":"","italic":false}]','[{"text":"-Written by Magis","italic":false}]','[{"text":"Cerraoubloum.","italic":false}]','[{"text":"Right-Click this book","italic":false,"color":"gold"}]','[{"text":"to see all Active Skills","italic":false,"color":"gold"}]','[{"text":"currently in the game","italic":false,"color":"gold"}]','[{"text":"along with its Information.","italic":false,"color":"gold"}]']}}}}] run function ampsurv:util-firstcodex
execute at @a[scores={request_skillchk=1..}] run function ampsurv:util-skillchecker
execute if entity @e[nbt={SelectedItem:{id:"minecraft:amethyst_shard", tag :{Unbreakable:1,RepairCost:9999,display:{Name:'[{"text":"Aethereal Gear Crystal","italic":false,"color":"gold","bold":true}]',Lore:['[{"text":"A crystal bestowed by the"}]','[{"text":"Balance Guardian Aeonn.","italic":true}]','[{"text":"It undoubtedly posses a","italic":true}]','[{"text":"fragment of her power to","italic":true}]','[{"text":"control time to some extent.","italic":true},{"text":"","italic":false}]','[{"text":"","italic":false}]','[{"text":"Gives access to item skill:","italic":false,"color":"aqua"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Technomagic Acceleration:","italic":false,"color":"gold","underlined":true},{"text":"","italic":false,"color":"dark_purple","underlined":false}]','[{"text":"(300-second Cooldown)","italic":false,"color":"aqua"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Instantly reduces all","italic":false,"color":"gold"}]','[{"text":"Cooldowns of player skills","italic":false,"color":"gold"}]','[{"text":"and Town Portal to 0.","italic":false,"color":"gold"}]','[{"text":"","italic":false,"color":"gold"}]','[{"text":"Temporal Barrier:","italic":false,"color":"gold","underlined":true},{"text":"","italic":false,"color":"gold","underlined":false}]','[{"text":"When held in MainHand,","italic":false,"color":"gold"}]','[{"text":"grant the holder immense","italic":false,"color":"gold"}]','[{"text":"Armor and A.Toughness boost.","italic":false,"color":"gold"}]']},Enchantments:[{}]}}}] run function ampsurv:item-aethergearcrystal

#Landmark Checks
execute as @a[tag=creative_shock,gamemode=adventure,tag=!perma_shock] at @s unless entity @e[tag=bosstotem,distance=..50] run gamemode survival @a[gamemode=adventure,tag=creative_shock]
execute as @a[tag=creative_shock] at @s unless entity @e[tag=bosstotem,distance=..50] run tag @s remove creative_shock
execute at @e[tag=bosstotem] run playsound block.portal.ambient hostile @a[distance=..30] 1 0 1
execute at @e[tag=bosstotem] run particle portal ~ ~1 ~ 0 0 0 1 10 normal
execute if entity @e[tag=bosstotem,tag=yokovic_totem,type=armor_stand] run function ampsurv:lm-bosstotem-yokovic
execute if entity @e[tag=bosstotem,tag=leod_totem,type=armor_stand] run function ampsurv:lm-bosstotem-leod
execute if entity @e[tag=bosstotem,tag=astaroth_totem,type=armor_stand] run function ampsurv:lm-bosstotem-astaroth
execute if entity @e[tag=bosstotem,tag=phantasma_totem,type=armor_stand] run function ampsurv:lm-bosstotem-phantasma
execute if entity @e[tag=bosstotem,tag=oldmage_totem,type=armor_stand] run function ampsurv:lm-bosstotem-oldmage

#Custom Allies Checks
scoreboard players add @a ally.anim_tick 1
execute if entity @e[tag=tower_wiz,type=villager] run function ampsurv:entity-ally-towermages
execute if entity @e[tag=ignis_wiz,type=villager] run function ampsurv:entity-ally-ignismage
execute if entity @e[tag=arcanum_wiz,type=villager] run function ampsurv:entity-ally-arcanummage
execute if entity @e[tag=frigus_wiz,type=villager] run function ampsurv:entity-ally-frigusmage
execute if entity @e[tag=cleric_wiz,type=villager] run function ampsurv:entity-ally-clericmage

execute if entity @a[scores={ally.anim_tick=30..}] run scoreboard players set @a ally.anim_tick 0
execute if entity @e[tag=rck_Entity,type=iron_golem] run function ampsurv:entity-ally-rck
execute if entity @e[tag=jekk_Entity,type=iron_golem] run function ampsurv:entity-ally-jekk
execute if entity @e[tag=janice_Entity,type=villager] run function ampsurv:entity-ally-janice
execute if entity @e[tag=rayton_Entity,type=iron_golem] run function ampsurv:entity-ally-rayton
execute if entity @e[tag=jarx_Entity,type=villager] run function ampsurv:entity-ally-jarx
execute if entity @e[tag=icepea_Entity,type=snow_golem] run function ampsurv:entity-ally-icepea
execute if entity @e[tag=maxidonis_Entity,type=iron_golem] run function ampsurv:entity-ally-maxidonis
execute if entity @e[tag=nel_Entity,type=iron_golem] run function ampsurv:entity-ally-nel
execute if entity @e[tag=maxidonis_copy_Entity,type=iron_golem] run function ampsurv:entity-ally-maxidonis-copy
execute if entity @e[tag=aileesha_Entity,type=villager] run function ampsurv:entity-ally-aileesha
function ampsurv:entity-ally-model-clear
execute if entity @e[tag=rayton_dd] run function ampsurv:entity-rayton-res
execute if entity @e[tag=jekk_dd] run function ampsurv:entity-jekk-res
execute if entity @e[tag=janice_dd] run function ampsurv:entity-janice-res
execute if entity @e[tag=jarx_dd] run function ampsurv:entity-jarx-res
execute if entity @e[tag=icepea_dd] run function ampsurv:entity-icepea-res
execute if entity @e[tag=maxidonis_dd] run function ampsurv:entity-maxidonis-res
execute if entity @e[tag=nel_dd] run function ampsurv:entity-nel-res
execute if entity @e[tag=aileesha_dd] run function ampsurv:entity-aileesha-res
execute at @e[tag=hero_dd,tag=res-ing] run particle dust_color_transition 1 1 1 2 0.7 0.7 1 ~ ~.6 ~ 0 0.6 0 0 1 force

#Enemies Checks
execute if entity @e[tag=omethh_crystal] run function ampsurv:enemy-omethhcrystal
execute if entity @e[tag=specter_spawner] run function ampsurv:enemy-specterspawner