scoreboard players add @a[scores={mlDialogueTimer=..1500}] mlDialogueTimer 1

#Act 0 Dialogues
execute if entity @a[tag=host, tag=playing_act0,scores={mlDialogueTimer=..400}] run tp @a[tag=playing_act0] -166 20 -49 facing entity @e[type=villager,tag=guild_r,sort=nearest,limit=1]
title @a[tag=playing_act0,scores={mlDialogueTimer=20}] title {"text":"Midland","bold":true,"color":"white"}
title @a[tag=playing_act0,scores={mlDialogueTimer=60}] subtitle {"text":"- By JekNJok -","bold":false,"color":"red"}
tellraw @a[tag=playing_act0,scores={mlDialogueTimer=100}] ["",{"text":"< "},{"text":"Guild Receptionist ","bold":true,"color":"green"},{"text":"> Welcome to Midland's Red Cross Knight Guild, 23rd Squad, Silver Rose!"}]
tellraw @a[tag=playing_act0,scores={mlDialogueTimer=140}] ["",{"text":"< "},{"text":"Guild Receptionist ","bold":true,"color":"green"},{"text":"> It must be somewhat shocking to see how different Midland is to the Capital, no?"}]
tellraw @a[tag=playing_act0,scores={mlDialogueTimer=180}] ["",{"text":"< "},{"text":"Guild Receptionist ","bold":true,"color":"green"},{"text":"> I'm sure you're briefed on why you are here in the first place. You see, we are currently just recieving too many reports of unnatural happennings - Monster attacks, Trembling grounds, shrieks from the ruins of Astaria, and many more!"}]
tellraw @a[tag=playing_act0,scores={mlDialogueTimer=280}] ["",{"text":"< "},{"text":"Guild Receptionist ","bold":true,"color":"green"},{"text":"> Of course, you're not the only squad that will be sent here. There will be another squad arriving in several days, uhh what was their number again?... oh yeah, the 21st Squad! Pillum Opus! If I'm not mistaken."}]
tellraw @a[tag=playing_act0,scores={mlDialogueTimer=380}] ["",{"text":"< "},{"text":"Guild Receptionist ","bold":true,"color":"green"},{"text":"> Well then, I'll let you be on your mission's way."}]
execute if entity @a[tag=host, tag=playing_act0,scores={mlDialogueTimer=400}] run tag @a add complete_act0
execute if entity @a[tag=host, tag=playing_act0 ,scores={mlDialogueTimer=400}] run function midland:system-act0-complete

#Act one Dialogue
tellraw @a[tag=playing_act1,scores={mlDialogueTimer=20}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> OK! Listen up, squad. The farmers living outside the walls of Midland had reported attacks by Monsters coming from Myrdinn Forest. So we are to go in that damn forest, and find out what's going on."}]
tellraw @a[tag=playing_act1,scores={mlDialogueTimer=120}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> If we find Monsters, then we attack them. But don't be too reckless. Remember; safety first!"}]
tellraw @a[tag=playing_act1,scores={mlDialogueTimer=180}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> So then, lets get ready and depart to Myrdinn Forest!"}]
tellraw @a[tag=playing_act1,scores={mlDialogueTimer=190}] ["",{"text":"< "},{"selector":"@a"},{"text":" > Yes Sir!"}]
tellraw @a[tag=playing_act1,scores={mlDialogueTimer=190,mlPlayerCount=1..2}] ["",{"text":"< "},{"text":"Lady Aileesha ","bold":true,"color":"green"},{"text":" > Copy."}]

execute as @a[tag=host,tag=!commented_on_omethh] at @s if entity @e[tag=omethh_crystal,distance=..3] run tellraw @a[tag=playing_act1] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Ahah! Omethh Crystals! This must be the thing that's Spawning in these zombies! Take them out! There must be more of them too in this Forest. We have to find all of them."}]
execute as @a[tag=host,tag=!commented_on_omethh] at @s if entity @e[tag=omethh_crystal,distance=..3] run tag @a add commented_on_omethh

execute as @a[tag=host,tag=!commented_on_leod] at @s if entity @e[tag=leod,distance=..20] run tellraw @a[tag=playing_act1] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Seems like we stumble upon the real deal here! Silver Rose, Rally!"}]
execute as @a[tag=host,tag=!commented_on_leod] at @s if entity @e[tag=leod,distance=..20] run tag @a add commented_on_leod


# Way to Zerr passage Dialogue
execute as @e[tag=zerr_way] at @s if entity @p[tag=complete_act1,tag=!commented_on_cursed_mine,distance=..10] run tellraw @a ["",{"text":"< "},{"selector":"@p","bold":true,"color":"green"},{"text":" > There seems to be a long path here, Captain."}]
execute as @e[tag=zerr_way] at @s if entity @p[tag=complete_act1,tag=!commented_on_cursed_mine,distance=..10] run tellraw @a ["",{"text":"["},{"text":"Game","bold":true,"color":"yellow"},{"text":"] Proceeding deeper will Trigger Act 2, and you cannot return to Midland again until the end of Act Four. Please prepare first."}]
execute as @e[tag=zerr_way] at @s if entity @p[tag=complete_act1,tag=!commented_on_cursed_mine,distance=..10] run tag @a add commented_on_cursed_mine

#act 2 dialogues
tellraw @a[tag=playing_act2,scores={mlDialogueTimer=20}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Where are we?"}]
tellraw @a[tag=playing_act2,scores={mlDialogueTimer=80}] ["",{"text":"< "},{"selector":"@r"},{"text":" > Hmmm... seems to be.. Zerr Passage to me, Cap."}]
tellraw @a[tag=playing_act2,scores={mlDialogueTimer=120}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Yeah. At least it looks like it."}]
tellraw @a[tag=playing_act2,scores={mlDialogueTimer=180}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Well.. We have to push through then, March Onward!"}]
tellraw @a[tag=playing_act2,scores={mlDialogueTimer=190}] ["",{"text":"< "},{"selector":"@a"},{"text":" > Right!"}]

execute as @a[tag=host,tag=!commented_on_rck] at @s if entity @e[tag=rck_Entity,distance=..5] run scoreboard players set @a mlDialogueTimer 200
execute as @a[tag=host,tag=!commented_on_rck] at @s if entity @e[tag=rck_Entity,distance=..5] run tag @a add commented_on_rck
tellraw @a[tag=playing_act2,tag=commented_on_rck,scores={mlDialogueTimer=200}] ["",{"text":"< "},{"text":"Red Cross Knight ","bold":true,"color":"green"},{"text":"> Oh! Fellow Knights! Thank The Godfather!"}]
tellraw @a[tag=playing_act2,tag=commented_on_rck,scores={mlDialogueTimer=240}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> What.. happenned here?"}]
tellraw @a[tag=playing_act2,tag=commented_on_rck,scores={mlDialogueTimer=250}] ["",{"text":"< "},{"text":"Red Cross Knight ","bold":true,"color":"green"},{"text":"> The Dead Legion.. They attacked us.. we are the only survivors of the guards on patrol here.. We seal ourselves in from Zerr Passage and destroy some of the bridge there to help us survive.. Its the only way.. Right now.."}]
tellraw @a[tag=playing_act2,tag=commented_on_rck,scores={mlDialogueTimer=350}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> I see. The passage out is safe now. Evacuate as soon as possible."}]
tellraw @a[tag=playing_act2,tag=commented_on_rck,scores={mlDialogueTimer=370}] ["",{"text":"< "},{"text":"Red Cross Knight ","bold":true,"color":"green"},{"text":"> Thank you, Sir Arbiter Knight!"}]

#act 3 dialogues
tellraw @a[tag=playing_act3,scores={mlDialogueTimer=20}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> This is... Astaria Chapel? "}]
tellraw @a[tag=playing_act3,scores={mlDialogueTimer=80}] ["",{"text":"< "},{"selector":"@r"},{"text":" > It seems like it."}]
tellraw @a[tag=playing_act3,scores={mlDialogueTimer=140}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Silver Rose, ready for battle. This is deep in enemy territorry. I can feel it.."}]
tellraw @a[tag=playing_act3,scores={mlDialogueTimer=180}] ["",{"text":"< "},{"selector":"@r"},{"text":" > I have a baaaad feeling about this..."}]
tellraw @a[tag=playing_act3,scores={mlDialogueTimer=220}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Fear is the bane of every Knight, friend. Stay calm, we got this in the bag together. I'll call this off once something goes awry."}]

#act 4 dialogues
tellraw @a[tag=playing_act4,scores={mlDialogueTimer=20}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Just Run! Don't Look Back! "}]
tellraw @a[tag=playing_act4,scores={mlDialogueTimer=80}] ["",{"text":"< "},{"selector":"@r"},{"text":" > I like that Idea!!"}]
tellraw @a[tag=playing_act4,scores={mlDialogueTimer=140}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Argh there're Damned Wraiths on top of us! "}]
tellraw @a[tag=playing_act4,scores={mlDialogueTimer=180}] ["",{"text":"< "},{"selector":"@r"},{"text":" > Argh there're Damned Wraiths on top of us!"}]
tellraw @a[tag=playing_act4,scores={mlDialogueTimer=220}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Suck it up! No time to whine! Run run run! USE YOUR LEGS ! ! !"}]

#act 5 dialogues
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=20}] ["",{"text":"< "},{"selector":"@a[tag=host,tag=found_history_book]","bold":true,"color":"green"},{"text":"> The history book... Hmm.. I might find something about the Old Altar Spring here. "}]
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=40}] ["",{"text":"< "},{"selector":"@a[tag=host,tag=found_history_book]","bold":true,"color":"green"},{"text":"> Lets see.. "}]
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=100}] ["",{"text":"< "},{"selector":"@a[tag=host,tag=found_history_book]","bold":true,"color":"green"},{"text":"> Discovered at 0092 MY.. re-sealed for redacted reason..  "}]
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=200}] ["",{"text":"< "},{"selector":"@a[tag=host,tag=found_history_book]","bold":true,"color":"green"},{"text":"> Mysterious being sealed, can't be explained in terms of mana manipulation even to this date... Though only through external observations.  "}]
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=240}] ["",{"text":"< "},{"selector":"@a[tag=host,tag=found_history_book]","bold":true,"color":"green"},{"text":"> Sounds like an Other Side creature to me. This isn't good. If those miners release the seal of the creature.. "}]
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=340}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Found something? "}]
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=360}] ["",{"text":" "},{"selector":"@a[tag=host,tag=found_history_book]","bold":true,"color":"green"},{"text":" told their findings to Captain Nel ","bold":false,"color":"yellow"}]
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=460}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> I see. Then we have a task in our hands. Silver Rose! To Cliffhearth Mine!"}]
tellraw @a[tag=playing_act5,scores={mlDialogueTimer=470}] ["",{"text":" "},{"text":"[ Game ]","bold":true,"color":"yellow"},{"text":" Warning: Clearing Act V will trigger Act VI right away and won't allow you to return to Midland until the end of Act VII. Please Prepare first.","color":"yellow"}]

execute as @a[tag=!commented_on_cliff,tag=playing_act5] at @s if entity @e[tag=enemy,distance=..5] run scoreboard players set @a mlDialogueTimer 480
execute as @a[tag=!commented_on_cliff,tag=playing_act5] at @s if entity @e[tag=enemy,distance=..5] run tag @a add commented_on_cliff
tellraw @a[tag=playing_act5,tag=commented_on_cliff,scores={mlDialogueTimer=480}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Monsters! They must be coming from deep within the mines. We have a lot of work cut out for us."}]
tellraw @a[tag=playing_act5,tag=commented_on_cliff,scores={mlDialogueTimer=540,mlPlayerCount=2..}] ["",{"text":"< "},{"selector":"@r[tag=!host,tag=found_history_book]","bold":true,"color":"green"},{"text":"> What.. are they?.. They're.. Skeletons.. but.. singed?... what burned them?"}]
tellraw @a[tag=playing_act5,tag=commented_on_cliff,scores={mlDialogueTimer=540,mlPlayerCount=1}] ["",{"text":"< "},{"text":"Lady Aileesha","bold":true,"color":"green"},{"text":"> What.. are they?.. They're.. Skeletons.. but.. singed?.."}]
tellraw @a[tag=playing_act5,tag=commented_on_cliff,scores={mlDialogueTimer=599}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Fight first, ask questions later!"}]

#act6
tellraw @a[tag=playing_act6,scores={mlDialogueTimer=20}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Hmm... lets see.. If anything I know about Cliffhearth Mine is that its just a damn maze, because no one bothers to plan it well. "}]
tellraw @a[tag=playing_act6,scores={mlDialogueTimer=80}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Maybe we can find a map of this mine somewhere. Check that chest. "}]
tellraw @a[tag=playing_act6,scores={mlDialogueTimer=180}] ["",{"text":"< "},{"selector":"@a[tag=host]","bold":true,"color":"green"},{"text":"> Some food and map huh, neat. Now we just have to follow the map.."}]
tellraw @a[tag=playing_act6,scores={mlDialogueTimer=240}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Lead our way, "},{"selector":"@a[tag=host]","bold":true,"color":"green"},{"text":" !"}]

tellraw @a[tag=playing_act6,scores={mlDialogueTimer=320},tag=commented_on_mine_end] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Seems like the altar is up ahead. "}]
tellraw @a[tag=playing_act6,scores={mlDialogueTimer=380},tag=commented_on_mine_end] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Let's go. Stay Alert!"}]

tellraw @a[tag=playing_act6,scores={mlDialogueTimer=620},tag=commented_on_altar_spring] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Didn't they said they've sealed the altar? This surely isn't \"Sealing\" anything... "}]
tellraw @a[tag=playing_act6,scores={mlDialogueTimer=690},tag=commented_on_altar_spring] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> There's something ahead. Silver Rose, stay together, advance in position. I don't know what that thing is... "}]
execute if entity @a[tag=playing_act6,scores={mlDialogueTimer=690},tag=commented_on_altar_spring] run tag @e[tag=yokovic_totem] remove summoned

#act 7 
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=20}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> What.. happenned to the Altar?? "}]
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=40}] ["",{"text":"< "},{"selector":"@a[tag=host]","bold":true,"color":"green"},{"text":"> W..what is this place? The corruption its.. "}]
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=80}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> There.. seems to be no exit too. Have we been blocked out?? "}]
execute as @a[tag=playing_act7,scores={mlDialogueTimer=160..200}] at @s run tp @s ~ ~ ~ facing entity @e[tag=narthex_1,sort=nearest,limit=1] feet
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=160}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> No way.. wait.. I can see a portal up there. Maye that's where we should go. "}]
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=200}] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Seems like we have no other choice. Silver Rose... Let's go. "}]

execute as @a[tag=!commented_on_narthex] at @s if entity @e[tag=narthex_1,distance=..5] run scoreboard players set @a mlDialogueTimer 210
execute as @a[tag=!commented_on_narthex] at @s if entity @e[tag=narthex_1,distance=..5] run tag @a add commented_on_narthex
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=220},tag=commented_on_narthex] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Now where are we... It seems like a maze. "}]
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=300},tag=commented_on_narthex] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Silver Rose, stay together, advance in position. I don't know what this place is... "}]
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=400},tag=commented_on_narthex] ["",{"text":"< "},{"selector":"@a[tag=host]","bold":true,"color":"green"},{"text":"> We have to figure out how to get out of here.."}]

tellraw @a[tag=playing_act7,scores={mlDialogueTimer=420},tag=commented_on_narthex_pinnacle] ["",{"text":"< "},{"text":"Phantasma ","bold":true,"color":"red"},{"text":"> Mortalsss!!... what are you doing in The Narthex?!.... Thisss isss not your place!!! "}]
tellraw @a[tag=playing_act7,scores={mlDialogueTimer=470},tag=commented_on_narthex_pinnacle] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> We want to be brought home! Hey! Argh!! they won't listen! Silver Rose! Prepare for combat! "}]

#act 8 
execute as @a[tag=playing_act8,scores={mlDialogueTimer=40}] run tellraw @s ["",{"text":"< "},{"selector":"@s","bold":true,"color":"green"},{"text":"> Ahh.. finally we got some slack. Though, I better prepare for future battles.. I mean, Captain WAS talking about the big attack on Astaria. "}]
execute as @a[tag=playing_act8,scores={mlDialogueTimer=140}] run tellraw @s ["",{"text":"< "},{"selector":"@s","bold":true,"color":"green"},{"text":"> Guess I'll get everything ready today, then I'll rest. Haven't got sleep for 2 days straight now.. Hoaaammmm... "}]

tellraw @a[tag=playing_act8,scores={mlDialogueTimer=160},tag=trigger_comp_act8] ["",{"text":"< "},{"text":"You ","bold":true,"color":"green"},{"text":"> Ahh.. time to sleep.. "}]
tp @a[tag=playing_act8,scores={mlDialogueTimer=160..240},tag=trigger_comp_act8] @e[tag=act8_bed_totem,limit=1,sort=nearest]
effect give @a[tag=playing_act8,scores={mlDialogueTimer=160},tag=trigger_comp_act8] blindness 4 4 true
tellraw @a[tag=playing_act8,scores={mlDialogueTimer=200},tag=trigger_comp_act8] ["",{"text":"< "},{"text":"You ","bold":true,"color":"green"},{"text":"> ...... "}]
tellraw @a[tag=playing_act8,scores={mlDialogueTimer=240},tag=trigger_comp_act8] ["",{"text":"< "},{"text":"You ","bold":true,"color":"green"},{"text":"> ...Zz? "}]
effect give @a[tag=playing_act8,scores={mlDialogueTimer=240},tag=trigger_comp_act8] blindness 3 4 true
effect give @a[tag=playing_act8,scores={mlDialogueTimer=240},tag=trigger_comp_act8] slowness 3 4 true
tp @a[tag=playing_act8,scores={mlDialogueTimer=240},tag=trigger_comp_act8] -465 12 249
execute as @e[tag=trigger_comp_act8,tag=playing_act8,scores={mlDialogueTimer=280}] at @s run function midland:comp-act8
tellraw @a[tag=playing_act8,scores={mlDialogueTimer=280},tag=trigger_comp_act8] ["",{"text":"< "},{"text":"You ","bold":true,"color":"green"},{"text":"> ... Isn't this... That place again ?!!! But.. it seems different this time... "}]
tellraw @a[tag=playing_act8,scores={mlDialogueTimer=350},tag=trigger_comp_act8] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Halt! Let's observe our surroundings. "}]
tellraw @a[tag=playing_act8,scores={mlDialogueTimer=390},tag=trigger_comp_act8] ["",{"text":"< "},{"text":"You ","bold":true,"color":"green"},{"text":"> Whats.. happenning? Am I dreaming?.. yes.. that must be it.. "}]

tellraw @a[tag=playing_act8,scores={mlDialogueTimer=420},tag=commented_on_narthex_pinnacle_oldmage] ["",{"text":"< "},{"text":"??? ","bold":true,"color":"red"},{"text":"> ... Show us that you are worthy. "}]
tellraw @a[tag=playing_act8,scores={mlDialogueTimer=470},tag=commented_on_narthex_pinnacle_oldmage] ["",{"text":"< "},{"text":"Captain ","bold":true,"color":"green"},{"text":"> Silver Rose! Stand your ground! "}]
